#include <bits/stdc++.h>

using namespace std;

void solve()
{
    string text;
    string word;
    cin >> text;
    cin >> word;
    int size = text.size();
    int br = 0;
    for (int i = 0; i < size; i++)
    {
        if (text[i] == word[0])
            br++;
    }
    if (br < word.size())
    {
        cout << text;
        return;
    }
    int del = br - word.size() + 1;
    cout << del << endl;
    for (int i = 0; i < size; i++)
    {
        if (text[i] == word[0])
        {
            cout << '*';
            br--;
        }
        else
            cout << text[i];
        if (br < word.size())
        {
            for (int j = i + 1; j < size; j++)
            {
                cout << text[j];
            }
            return;
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    solve();
    return 0;
}